Skip to main content
POST
/
v1
/
warranties
/
:id
/
close
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/close' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "resolution": "Replaced product under warranty"
}'
{
  "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  "object": "warranty",
  "closed": true,
  "closed_at": "2024-01-15T10:30:00Z",
  "resolution": "Replaced product under warranty"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

warranty_id
string
The ID provided in the data tab may be used to identify the warranty
resolution
string
The resolution or outcome of the warranty claim

Response

id
string
The ID provided in the data tab may be used to identify the warranty
object
string
The object type
closed_at
string
The timestamp when the warranty was closed
success
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/close' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "resolution": "Replaced product under warranty"
}'
{
  "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  "object": "warranty",
  "closed": true,
  "closed_at": "2024-01-15T10:30:00Z",
  "resolution": "Replaced product under warranty"
}